SMTP-почтовые ящики
Обновить почтовый ящик
Обновляет поля профиля клиентского почтового ящика.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
{mailbox}
Обновить почтовый ящик
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox}"
payload = {
"first_name": "<string>",
"last_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: '<string>', last_name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Тело
application/json
Ответ
Временная метка создания почтового ящика
Домен UUID для почтового ящика
Доменное имя для почтового ящика
Имя пользователя почтового ящика
Почтовый ящик UUID
Фамилия пользователя почтового ящика
Локальная часть почтового ящика перед знаком at
Адрес электронной почты основного почтового ящика
Статус жизненного цикла почтового ящика
Временная метка последнего обновления почтового ящика
Рабочая область UUID для почтового ящика
Отображаемое имя рабочей области
Была ли эта страница полезной?
⌘I
Обновить почтовый ящик
